unit umain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs;

type

  { TForm1 }

  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

  ACD_CONT = record
       error : Byte;
       data  : Byte;
  end;

  ACD = record
       len      : Integer;
       errors   : Integer;
       closed   : Integer;
       flags    : Integer;
       squitter : Integer;
       uplink   : Integer;
       lastpos  : Integer;
       crc      : Word;
       c        : array[1..1024] of ACD_CONT;
  end;

  P_libacarsd = ^libacarsd;
  libacarsd = record
       acarsd_codepos : Integer;
       acarsd_utable  : array[1..10] of LongWord;
       codeholder     : array[1..100] of ACD;
       privat         : Pointer;
  end;

const
  STREAM19500 = 0;
  STREAM22050 = 1;
  STREAM44100 = 2;

  NomDLL = 'libacarsd.dll';

  function acarsd_init(const buf: Integer; const sample: Integer; const pass: Integer): P_libacarsd; cdecl; external NomDLL name 'acarsd_init';

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
const
  Fichier = 'sndfile.snd';
var
  L : P_libacarsd;
begin
  if FileExists(ExtractFilePath(Application.ExeName) + Fichier) then
  begin
       L := acarsd_init(FileSize(ExtractFilePath(Application.ExeName) + Fichier), STREAM19500, 8);
  end;
end;

end.

